RLECCUBE(1)

NAME
rleccube - Make a picture of a color cube.

SYNOPSIS
rleccube [ -w squares-wide ] [ -o outfile ] [ cube-side ]

DESCRIPTION
This program computes an RLE(5) image of slices through the RGB color cube. The arguments control the size of the cube and the arrangement of the slices into an image. Slices are taken in planes of constant red, with green varying along the "x" axis and blue along the "y" axis within a slice. The slice for red=0 is placed in the lower left corner of the image; red increases along the bottom row, then to the left of the next row, and so on. The rleswap(1) program can be used to get an image with slices of constant green or blue.

OPTIONS

-w squares-wide
    The number of slices in a row will be squares-wide. The default is the smallest divisor of cube-side larger than sqrt(cube-side). If squares-wide is not an exact divisor of cube-side, the top row will be filled in with slices starting from red near 0.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

cube-side
    The number of samples on each side of the cube. Each slice will be cube-sidexcube-side, and there will be cube-side slices. The default value is 64.

SEE ALSO
rleswap(1), urt(1), RLE(5).

AUTHOR
Spencer W. Thomas

BUGS
It really should fill in the excess space in the last row with black.